<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Book Store App</title>
    <style>
        body {
            font-family: "Avenir", sans-serif;
        }
        
        th,
        td {
            padding: 10px;
        }
        
        thead {
            background: lightblue;
        }
    </style>

</head>

<body>
    <h1>Book Store App</h1>
    <a href="/">Home</a>
    <a href="/books/add">Add Book</a>

    <h2>Book List</h2>
    <table border="1" cellspacing="0">
        <thead>
            <tr>
                <th>Title</th>
                <th>Author</th>
                <th>Released Date</th>
                <th>Pages</th>
                <th>Genre</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <% books.forEach(book => { %>
                <tr>
                    <td>
                        <%= book.title %>
                    </td>
                    <td>
                        <%= book.author %>
                    </td>
                    <td>
                        <%= book.released_date %>
                    </td>
                    <td>
                        <%= book.pages %>
                    </td>
                    <td>
                        <%= book.genre %>
                    </td>
                    <td><a href="books/delete/ <%= book.id %>">Delete</a></td>
                </tr>
                <% }) %>
        </tbody>
    </table>
</body>

</html>